/**
 * Below are the colors that are used in the app. The colors are defined in the light and dark mode.
 * There are many other ways to style your app. For example, [Nativewind](https://www.nativewind.dev/), [Tamagui](https://tamagui.dev/), [unistyles](https://reactnativeunistyles.vercel.app), etc.
 */

const tintColorLight = '#76af2a';
const tintColorDark = '#76af2a';

export const Colors = {
  // Base
  black: '#000',
  white: '#fff',

  light: {
    // Main
    text: '#11181C',
    background: '#fff',
    tint: tintColorLight,

    // Icons
    icon: '#687076',
    tabIconDefault: '#11181C',
    tabIconSelected: tintColorLight,

    // Types
    green: '#3c8840',
    paper: '#0071ce',
    packages: '#f36c21',
    grey: '#64666a',

    // Buttons
    buttonBackground: '#f5f5f5',

    // Border
    borderColor: '#f2f2f2',
  },
  dark: {
    // Main
    text: '#ECEDEE',
    background: '#151718',
    tint: tintColorDark,

    // Icons
    icon: '#9BA1A6',
    tabIconDefault: '#9BA1A6',
    tabIconSelected: tintColorDark,

    // Types
    green: '#3c8840',
    paper: '#0071ce',
    packages: '#f36c21',
    grey: '#64666a',

    // Buttons
    buttonBackground: '#f5f5f5',

    // Border
    borderColor: '#f2f2f2',
  },
};
